export class Blocks {
    static init(options) {
        if (!options) {
            alert("Options missing, aborting");
            return;
        }
        if (!options.whitelabelDomain) {
            alert("No whitelabel domain provided, aborting");
            return;
        }
        options.development = !!options.development;
        Blocks._whitelabelDomain = `http${options.development ? "" : "s"}://${options.whitelabelDomain}`;
        Blocks._version = options.version || "latest";
        Blocks._initialized = options.initialized || function () { };
        window.veeting = window.veeting || {
            Blocks: Blocks
        };
        const elementId = Math.random().toString(36).slice(2);
        const element = document.createElement("script");
        element.id = elementId;
        element.onload = () => {
            document.body.removeChild(element);
        };
        element.onerror = (e) => {
            alert(`Failed to load ${options.version}`);
        };
        element.src = `${Blocks._whitelabelDomain}/blocks/${Blocks._version}/base.js`;
        document.body.appendChild(element);
    }
}
//# sourceMappingURL=blocks.js.map