import { Blocks } from "@veeting/blocks-loader";

const meetingId = "9321-9686-6593-3363";
const whitelabelDomain = "webmeet.veeting.dev"

Blocks.init({
	whitelabelDomain: whitelabelDomain,
	version: "latest",
	initialized: () => {
		document.querySelector(".blocks-wrapper").style.display = "flex";
	}
})

document.getElementById("start").addEventListener("click", async () => {
	const config = await veeting.Blocks.api.loadMeeting(meetingId);
	if (!config || !config.isOpen) {
		alert("Meeting not found or not open");
		return;
	}
	await veeting.Blocks.api.joinMeeting({
		meetingId: meetingId,
		participantName: "Blocks",
		audio: true,
		video: true
	})

	veeting.Blocks.api.on("chatMessage", (payload) => {
		console.log(`New chat message ${(payload)}`)
	});
})

document.getElementById("muteAudio").addEventListener("click", () => {
	veeting.Blocks.api.toggleMuteAudio();
})

document.getElementById("muteVideo").addEventListener("click", () => {
	veeting.Blocks.api.toggleMuteVideo();
})

document.getElementById("listDevice").addEventListener("click", () => {
	const audioOutputDevices = veeting.Blocks.api.getMediaDeviceAudioOutputList(false);
	audioOutputDevices.forEach(item => {
		console.log(`[${item.kind}] [${item.label}]`);
	});

	const audioInputDevices = veeting.Blocks.api.getMediaDeviceAudioInputList(false);
	audioInputDevices.forEach(item => {
		console.log(`[${item.kind}] [${item.label}]`);
	});

	const cameraDevices = veeting.Blocks.api.getMediaDeviceVideoInputList();
	cameraDevices.forEach(item => {
		console.log(`[${item.kind}] [${item.label}]`);
	});
})
